server:
  port: ${SERVER_PORT:8080}

spring:
  application:
    name: abbtech-bookstore-api-gw
  main:
    banner-mode: off
  cloud:
    gateway:
      mvc:
        routes:
          - id: abbtech-bookstore-book-ms
            uri: http://127.0.0.1:8085
            predicates:
              - Path=/api/books/**
            filters:
              - RewritePath=/api/books/(?<segment>.*), /abbtech-bookstore-book-ms/${segment}
          - id: abbtech-bookstore-notification-ms
            uri: http://127.0.0.1:8086
            predicates:
              - Path=/api/notifications/**
            filters:
              - RewritePath=/api/notifications/(?<segment>.*), /abbtech-bookstore-notification-ms/${segment}
          - id: abbtech-bookstore-order-ms
            uri: http://127.0.0.1:8087
            predicates:
              - Path=/api/orders/**
            filters:
              - RewritePath=/api/orders/(?<segment>.*), /abbtech-bookstore-order-ms/${segment}
          - id: abbtech-bookstore-user-ms
            uri: http://127.0.0.1:8084
            predicates:
              - Path=/api/users/**
            filters:
                - RewritePath=/api/users/(?<segment>.*), /abbtech-bookstore-user-ms/${segment}

ms:
  user:
    url:
      http://localhost:8084/abbtech-bookstore-user-ms/validate
logging:
  level:
    org.springframework.cloud.gateway: DEBUG
    reactor.netty.http.client: DEBUG
